@if (column) {
  <div
    class="sqtm-core-external-capsule txt-ellipsis"
    [sqtmCoreWorkspace]="workspace"
    [localTheme]="true"
  >
    <div
      class="full-height flex-fixed-size capsule-left-color-indicator"
      [class.custom-field]="isCuf"
      [style.background-color]="borderColor"
    ></div>
    <div class="full-height full-width txt-ellipsis inner-capsule flex-row">
      <span class="m-l-10 m-r-15 txt-ellipsis name flex-grow-shrink">
        {{ label }}
      </span>
      @if (showRemoveButton) {
        <i
          nz-icon
          class="tree-icon-size p-4 m-r-8 __hover_pointer"
          nzType="sqtm-core-generic:close"
          nzTheme="outline"
          (click)="handleRemove()"
        >
        </i>
      }
    </div>
  </div>
}
